<?xml version="1.0" encoding="utf-8"?>
<taskrunner name="install.sqlserver" version="1.1" date="2012-02-07" maxthreads="1">
	
  <!--
    Change Log:
      2010-06-21: VIDA2010D : CR3050 : teriks28 : Change GUI argument to SQLExpress MSI package changed from /qb -> /qn      
      
      2011-05-02: VIDA2011C : QC9534 : teriks28
      Added exit code to task install.sqlexpress    
      
      2012-03-07: VIDA2012C : CR3904 : teriks28
      Change argument and file name in tasks "install.sqlexpress" to match SQL Express 2008
  -->
  
	<includes>
		<file name="vida.install.settings.xml" />
	</includes>
  
	<tasks>
    
		<task name="install.sqlexpress" typename="@CommandLine">
			<description>
				Installs new sql express database instance.
			</description>
			<dependencies list="stop.sqlexpress.service"/>
			<parameters>
				<parameter name="filename" value="${install.src.sqlexpress.dir}\SQLEXPR_x86_ENU.exe"/>
				<parameter name="arguments" value="/q /ACTION=Install /IACCEPTSQLSERVERLICENSETERMS /ROLE=AllFeatures_WithDefaults /INSTANCENAME=${sqlserver.instance.name} /SAPWD=${sqlserver.local.password} /SECURITYMODE=SQL /ADDCURRENTUSERASSQLADMIN=TRUE /SQLSVCACCOUNT=&quot;${sqlserver.service.account}&quot;  /BROWSERSVCSTARTUPTYPE=Automatic /ASSVCSTARTUPTYPE=Manual /SQLCOLLATION=${sqlserver.collation} /TCPENABLED=1 /HIDECONSOLE"/>
        <parameter name="exitcode.return.value" value="sqlexpress.install.exitcode"/>
      </parameters>
		</task>    

  </tasks>
</taskrunner>
